{	This file has been processed by The THINK Pascal Source Converter, v1.1.	}

{}
{	File:		Finder.p	}
{}
{	Contains:	File types of alias files and other Finder/system things.}
{	}
{				}
{ 	Copyright  Apple Computer, Inc. 1990-1991 }
{	All rights reserved}
{}
{}

{$IFC UNDEFINED UsingIncludes}
	{$SETC UsingIncludes := 0}
{$ENDC}


unit Finder;
interface
	uses
		Types, OSUtils, Files, Dialogs, AppleTalk, Aliases, Folders, GestaltEqu;









			{ include ResolveAliasFile definition }


			{ include FindFolder definition }


			{ include Finder info and Desktop Database routines }


		{ include gestalt selectors }




	const
		kCustomIconResource = -16455;		{ Custom icon family resource ID }

		kContainerFolderAliasType = 'fdrp';		{ type for folder aliases }
		kContainerTrashAliasType = 'trsh';		{ type for trash folder aliases }
		kContainerHardDiskAliasType = 'hdsk';		{ type for hard disk aliases }
		kContainerFloppyAliasType = 'flpy';		{ type for floppy aliases }
		kContainerServerAliasType = 'srvr';		{ type for server aliases }
		kApplicationAliasType = 'adrp';		{ type for application aliases }
		kContainerAliasType = 'drop';		{ type for all other containers }

	{ type for Special folder aliases }
		kSystemFolderAliasType = 'fasy';
		kAppleMenuFolderAliasType = 'faam';
		kStartupFolderAliasType = 'fast';
		kPrintMonitorDocsFolderAliasType = 'fapn';
		kPreferencesFolderAliasType = 'fapf';
		kControlPanelFolderAliasType = 'fact';
		kExtensionFolderAliasType = 'faex';

	{ type for AppleShare folder aliases }
		kExportedFolderAliasType = 'faet';
		kDropFolderAliasType = 'fadr';
		kSharedFolderAliasType = 'fash';
		kMountedFolderAliasType = 'famn';


    { UsingFinder }


implementation
end.

