{	This file has been processed by The THINK Pascal Source Converter, v1.1.	}

{}
{Created: Sunday, January 6, 1991 at 10:28 PM}
{    Devices.p}
{    Pascal Interface to the Macintosh Libraries}
{}
{        Copyright Apple Computer, Inc.     1985-1990}
{        All rights reserved}
{}


{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}


unit Devices;
interface
	uses
		Types, OSUtils;



















	const
		newSelMsg = 12;
		fillListMsg = 13;
		getSelMsg = 14;
		selectMsg = 15;
		deselectMsg = 16;
		terminateMsg = 17;
		buttonMsg = 19;
		chooserID = 1;
		initDev = 0;        {Time for cdev to initialize itself}
		hitDev = 1;         {Hit on one of my items}
		closeDev = 2;       {Close yourself}
		nulDev = 3;         {Null event}
		updateDev = 4;      {Update event}
		activDev = 5;       {Activate event}
		deactivDev = 6;     {Deactivate event}
		keyEvtDev = 7;      {Key down/auto key}
		macDev = 8;         {Decide whether or not to show up}
		undoDev = 9;
		cutDev = 10;
		copyDev = 11;
		pasteDev = 12;
		clearDev = 13;
		cursorDev = 14;
		cdevGenErr = -1;    {General error; gray cdev w/o alert}
		cdevMemErr = 0;     {Memory shortfall; alert user please}
		cdevResErr = 1;     {Couldn't get a needed resource; alert}
		cdevUnset = 3;      { cdevValue is initialized to this}

{ Monitors control panel messages }
		initMsg = 1;        {initialization}
		okMsg = 2;          {user clicked OK button}
		cancelMsg = 3;      {user clicked Cancel button}
		hitMsg = 4;         {user clicked control in Options dialog}
		nulMsg = 5;         {periodic event}
		updateMsg = 6;      {update event}
		activateMsg = 7;    {not used}
		deactivateMsg = 8;  {not used}
		keyEvtMsg = 9;      {keyboard event}
		superMsg = 10;      {show superuser controls}
		normalMsg = 11;     {show only normal controls}
		startupMsg = 12;    {code has been loaded}

	function PBControlSync (paramBlock: ParmBlkPtr): OSErr;
	inline
		$205F, $A004, $3E80;
	function PBControlAsync (paramBlock: ParmBlkPtr): OSErr;
	inline
		$205F, $A404, $3E80;

	function PBStatusSync (paramBlock: ParmBlkPtr): OSErr;
	inline
		$205F, $A005, $3E80;
	function PBStatusAsync (paramBlock: ParmBlkPtr): OSErr;
	inline
		$205F, $A405, $3E80;

	function PBKillIOSync (paramBlock: ParmBlkPtr): OSErr;
	inline
		$205F, $A006, $3E80;
	function PBKillIOAsync (paramBlock: ParmBlkPtr): OSErr;
	inline
		$205F, $A406, $3E80;


implementation
end.

