{	This file has been processed by The THINK Pascal Source Converter, v1.1.	}

{}
{Created: Sunday, January 6, 1991 at 10:32 PM}
{    EPPC.p}
{    Pascal Interface to the Macintosh Libraries}
{}
{        Copyright Apple Computer, Inc.    1988-1990}
{        All rights reserved}
{}


{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}


unit EPPC;
interface
	uses
		Types, OSUtils, Quickdraw, Events, Files, AppleTalk, Memory, PPCToolbox, Processes;



















	const
		kHighLevelEvent = 23;

{ postOptions currently supported }
		receiverIDMask = $0000F000;
		receiverIDisPSN = $00008000;
		receiverIDisSignature = $00007000;
		receiverIDisSessionID = $00006000;
		receiverIDisTargetID = $00005000;

		systemOptionsMask = $00000F00;
		nReturnReceipt = $00000200;

		priorityMask = $000000FF;
		nAttnMsg = $00000001;

{ error returns from Post and Accept }

		bufferIsSmall = -607;
		noOutstandingHLE = -608;
		connectionInvalid = -609;
		noUserInteractionAllowed = -610;        { no user interaction allowed }

{ constant for return receipts }

		HighLevelEventMsgClass = 'jaym';
		rtrnReceiptMsgID = 'rtrn';
		msgWasPartiallyAccepted = 2;
		msgWasFullyAccepted = 1;
		msgWasNotAccepted = 0;

	type
		TargetIDPtr = ^TargetID;
		TargetIDHdl = ^TargetIDPtr;
		TargetID = record
				sessionID: LONGINT;
				name: PPCPortRec;
				location: LocationNameRec;
				recvrName: PPCPortRec;
			end;


		SenderID = TargetID;
		SenderIDPtr = ^SenderID;

		HighLevelEventMsgPtr = ^HighLevelEventMsg;
		HighLevelEventMsgHdl = ^HighLevelEventMsgPtr;
		HighLevelEventMsg = record
				HighLevelEventMsgHeaderLength: INTEGER;
				version: INTEGER;
				reserved1: LONGINT;
				theMsgEvent: EventRecord;
				userRefcon: LONGINT;
				postingOptions: LONGINT;
				msgLength: LONGINT;
			end;


	function PostHighLevelEvent (theEvent: EventRecord; receiverID: Ptr; msgRefcon: LONGINT; msgBuff: Ptr; msgLen: LONGINT; postingOptions: LONGINT): OSErr;
	inline
		$3F3C, $0034, $A88F;
	function AcceptHighLevelEvent (var sender: TargetID; var msgRefcon: LONGINT; msgBuff: Ptr; var msgLen: LONGINT): OSErr;
	inline
		$3F3C, $0033, $A88F;
	function GetProcessSerialNumberFromPortName (portName: PPCPortRec; var PSN: ProcessSerialNumber): OSErr;
	inline
		$3F3C, $0035, $A88F;
	function GetPortNameFromProcessSerialNumber (var portName: PPCPortRec; PSN: ProcessSerialNumber): OSErr;
	inline
		$3F3C, $0046, $A88F;

	type
		GetSpecificFilterProcPtr = ProcPtr;     { FUNCTION MyFilter(yourDataPtr: Ptr;                }
                                        {                    msgBuff: HighLevelEventMsgPtr;    }
                                        {                    sender: TargetID): Boolean;        }

	function GetSpecificHighLevelEvent (aFilter: GetSpecificFilterProcPtr; yourDataPtr: univ Ptr; var err: OSErr): BOOLEAN;
	inline
		$3F3C, $0045, $A88F;


    { UsingEPPC }


implementation
end.

