{	This file has been processed by The THINK Pascal Source Converter, v1.1.	}

{}
{Created: Sunday, January 6, 1991 at 10:51 PM}
{    OSUtils.p}
{    Pascal Interface to the Macintosh Libraries}
{}
{        Copyright Apple Computer, Inc.    1985-1990}
{        All rights reserved}
{}


{	RMS	4/3/91		Modified to exclude declarations already in the THINK Pascal built-in interfaces	}
{   MGC	4/5/91		Removed more declarations already in the THINK Pascal built-in interfaces}



unit OSUtils;
interface
	uses
		Types;













	const
{*** Environs Equates ***}
		curSysEnvVers = 2;                  {Updated to equal latest SysEnvirons version}

{ Machine Types }
		envMacIIcx = 6;
		envSE30 = 7;
		envPortable = 8;
		envMacIIci = 9;
		envMacIIfx = 11;

{ CPU types }
		env68040 = 5;

{ Keyboard types }
		envPrtblADBKbd = 6;
		envPrtblISOKbd = 7;
		envStdISOADBKbd = 8;
		envExtISOADBKbd = 9;

	type
		QTypes = (dummyType, vType, ioQType, drvQType, evType, fsQType, sIQType, dtQType);

		ParamBlkType = (IOParam, FileParam, VolumeParam, CntrlParam, SlotDevParam, MultiDevParam, AccessParam, ObjParam, CopyParam, WDParam, FIDParam, CSParam, ForeignPrivParam);

		DeferredTask = record
				qLink: QElemPtr;                {next queue entry}
				qType: INTEGER;                 {queue type}
				dtFlags: INTEGER;               {reserved}
				dtAddr: ProcPtr;                {pointer to task}
				dtParm: LONGINT;                {optional parameter}
				dtReserved: LONGINT;            {reserved--should be 0}
			end;

	function GetOSTrapAddress (trapNum: INTEGER): LONGINT;
	procedure SetOSTrapAddress (trapAddr: LONGINT;
									trapNum: INTEGER);
	function GetToolTrapAddress (trapNum: INTEGER): LONGINT;
	procedure SetToolTrapAddress (trapAddr: LONGINT;
									trapNum: INTEGER);
	function GetToolboxTrapAddress (trapNum: INTEGER): LONGINT;
	procedure SetToolboxTrapAddress (trapAddr: LONGINT;
									trapNum: INTEGER);

	function SetCurrentA5: LONGINT;
	inline
		$2E8D, $2A78, $0904;
	function SetA5 (newA5: LONGINT): LONGINT;
	inline
		$2F4D, $0004, $2A5F;

	function InitUtil: OSErr;
	inline
		$A03F, $3E80;

	function SwapInstructionCache (cacheEnable: BOOLEAN): BOOLEAN;
	procedure FlushInstructionCache;
	function SwapDataCache (cacheEnable: BOOLEAN): BOOLEAN;
	procedure FlushDataCache;

implementation
end.
