{	This file has been processed by The THINK Pascal Source Converter, v1.1.	}

{}
{Created: Friday, January 25, 1991 at 11:34 AM}
{    Packages.p}
{    Pascal Interface to the Macintosh Libraries}
{}
{        Copyright Apple Computer, Inc.    1985-1990}
{        All rights reserved}
{}



{	RMS	4/3/91		Modified to exclude declarations already in the THINK Pascal built-in interfaces	}



unit Packages;
interface
	uses
		Types, Script;

	const
		editionMgr = 11;                            {Edition Manager}

		verIndiaHindi = 33;                         { Hindi system for India }
		verPakistan = 34;
		verLithuania = 41;
		verPoland = 42;
		verHungary = 43;
		verEstonia = 44;
		verLatvia = 45;
		verLapland = 46;
		verFaeroeIsl = 47;
		verIran = 48;
		verRussia = 49;

		minCountry = verUS;
		maxCountry = verThailand;

{special ScriptCode values}
		iuSystemScript = -1;                        { system script }
		iuCurrentScript = -2;                       { current script }

{special LangCode values}
		iuSystemCurLang = -2;                       { current (itlbLang) lang for system script }
		iuSystemDefLang = -3;                       { default (table) lang for system script }
		iuCurrentCurLang = -4;                      { current (itlbLang) lang for current script }
		iuCurrentDefLang = -5;                      { default lang for current script }
		iuScriptCurLang = -6;                       { current (itlbLang) lang for specified script }
		iuScriptDefLang = -7;                       { default language for a specified script }

{table selectors for IUGetItlTable}
		iuWordSelectTable = 0;
		iuWordWrapTable = 1;
		iuNumberPartsTable = 2;
		iuUnTokenTable = 3;
		iuWhiteSpaceList = 4;

	procedure IUClearCache;
	inline
		$3F3C, $0018, $A9ED;
	function IUMagPString (aPtr: Ptr; bPtr: Ptr; aLen: INTEGER; bLen: INTEGER; itl2Handle: Handle): INTEGER;
	inline
		$3F3C, $001A, $A9ED;
	function IUMagIDPString (aPtr: Ptr; bPtr: Ptr; aLen: INTEGER; bLen: INTEGER; itl2Handle: Handle): INTEGER;
	inline
		$3F3C, $001C, $A9ED;
	function IUCompPString (aStr: Str255; bStr: Str255; itl2Handle: Handle): INTEGER;
	function IUEqualPString (aStr: Str255; bStr: Str255; itl2Handle: Handle): INTEGER;
	function IUScriptOrder (script1: ScriptCode; script2: ScriptCode): INTEGER;
	inline
		$3F3C, $001E, $A9ED;
	function IULangOrder (language1: LangCode; language2: LangCode): INTEGER;
	inline
		$3F3C, $0020, $A9ED;
	function IUTextOrder (aPtr: Ptr; bPtr: Ptr; aLen: INTEGER; bLen: INTEGER; aScript: ScriptCode; bScript: ScriptCode; aLang: LangCode; bLang: LangCode): INTEGER;
	inline
		$3F3C, $0022, $A9ED;
	function IUStringOrder (aStr: Str255; bStr: Str255; aScript: ScriptCode; bScript: ScriptCode; aLang: LangCode; bLang: LangCode): INTEGER;
	procedure IUGetItlTable (script: ScriptCode; tableCode: INTEGER; var itlHandle: Handle; var offset: LONGINT; var length: LONGINT);
	inline
		$3F3C, $0024, $A9ED;


    { UsingPackages }


implementation
end.

