{	This file has been processed by The THINK Pascal Source Converter, v1.1.	}

{}
{Created: Sunday, January 6, 1991 at 10:59 PM}
{    Quickdraw.p}
{    Pascal Interface to the Macintosh Libraries}
{}
{        Copyright Apple Computer, Inc.    1985-1990}
{        All rights reserved}
{}


{	RMS	4/3/91		Modified to exclude declarations already in the THINK Pascal built-in interfaces	}

unit Quickdraw;
interface
	uses
		Types;

	const
{ Special Text Transfer Mode    }
		grayishTextOr = 49;

{ pixel type }
		RGBDirect = 16;                             { 16 & 32 bits/pixel pixelType value }

{ pmVersion values }
		baseAddr32 = 4;                             {pixmap base address is 32-bit address}

		rgnOverflowErr = -147;                      { Region accumulation failed. Resulting region may be currupt }
		insufficientStackErr = -149;                { QuickDraw could not complete the operation }

	type
		PixelType = (chunky, chunkyPlanar, planar);

		DeviceLoopFlags = set of (singleDevices, dontMatchSeeds, allDevices, DeviceLoopFlags3, DeviceLoopFlags4, DeviceLoopFlags5, DeviceLoopFlags6, DeviceLoopFlags7, DeviceLoopFlags8, DeviceLoopFlags9, DeviceLoopFlags10, DeviceLoopFlags11, DeviceLoopFlags12, DeviceLoopFlags13, DeviceLoopFlags14, DeviceLoopFlags15, DeviceLoopFlags16, DeviceLoopFlags17, DeviceLoopFlags18, DeviceLoopFlags19, DeviceLoopFlags20, DeviceLoopFlags21, DeviceLoopFlags22, DeviceLoopFlags23, DeviceLoopFlags24, DeviceLoopFlags25, DeviceLoopFlags26, DeviceLoopFlags27, DeviceLoopFlags28, DeviceLoopFlags29, DeviceLoopFlags30, DeviceLoopFlags31);


		BitMapPtr = ^BitMap;
		BitMapHandle = ^BitMapPtr;

		OpenCPicParams = record
				srcRect: Rect;
				hRes: Fixed;
				vRes: Fixed;
				version: INTEGER;
				reserved1: INTEGER;
				reserved2: LONGINT;
			end;


		DeviceLoopDrawingProcPtr = ProcPtr;

	function BitMapToRegionGlue (region: RgnHandle; bMap: BitMap): OSErr;
	function BitMapToRegion (region: RgnHandle; bMap: BitMap): OSErr;
	inline
		$A8D7;

	function OpenCPicture (newHeader: OpenCPicParams): PicHandle;
	inline
		$AA20;
	procedure CopyDeepMask (srcBits: BitMap; maskBits: BitMap; dstBits: BitMap; srcRect: Rect; maskRect: Rect; dstRect: Rect; mode: INTEGER; maskRgn: RgnHandle);
	inline
		$AA51;
	procedure DeviceLoop (drawingRgn: RgnHandle; drawingProc: DeviceLoopDrawingProcPtr; userData: LONGINT; flags: DeviceLoopFlags);
	inline
		$ABCA;
	function GetMaskTable: Ptr;
	inline
		$A836, $2E88;

implementation
end.

